/*
    Document   : default
    Created on : 21.02.2011, 20:24:06
    Author     : mre
    Description:
        Styles required by the template and not covered by the themes.
*/

/*-------------------------1
    Header  Classes
-------------------------*/
.ctTpl_seasons .ct-application-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    overflow: hidden;
    height: 2.8em;
    z-index: 5;
}

.ctTpl_seasons .ct-application-header__logo {
    display: flex;
    flex-shrink: 0;
    align-items: center;
    align-self: stretch;
    overflow: hidden;
}

.ctTpl_seasons .ct-application-header__app-title {
    flex-grow: 1;
    overflow: hidden;
}

.ctTpl_seasons .ct-application-header__logo,
.ctTpl_seasons .ct-application-header__app-title {
    font-size: 1.5em; /*corresponds to h2*/
    padding: 0 10px;
}

.ctTpl_seasons .omnisearch {
    width: 20em;
}

.ctTpl_seasons .ct-omnisearch__result-list {
    min-width: 18em;
}

.ctTpl_seasons .userMenu,
.ctTpl_seasons .ct-application-header .builderWizardBtn {
    display: inline-block;
    width: auto;
    text-align: right;
    vertical-align: top;
}

.ctTpl_seasons .ct-application-header div.username {
    display: inline-block;
    vertical-align: middle;
}

/*-------------------------
    Footer Classes
-------------------------*/

.ctTpl_seasons .ct-application-footer.dijitContentPane {
    height: 2.5em;
    padding: 0;
    /* ensure that copyright and coordinates never wrapped */
    white-space: nowrap;
    overflow-y: hidden;
}

.ctTpl_seasons .ctFollowMe .dijitTabPaneWrapper {
    border-bottom-width: 0;
}

.ctTpl_seasons .ct-application-footer .ctTool {
    margin-top: 0;
    margin-bottom: 0;
}


/*-------------------------
    Map Classes
-------------------------*/

.ctTpl_seasons .mainMap > .dijitContentPane {
    /* make map fullsize */
    padding: 0;
}

.ctTpl_seasons .mainMap {
    /*ensure that windows are kept inside map*/
    overflow: hidden;
}

.ctTpl_seasons .logo-med,
.ctTpl_seasons .logo-sm {
    bottom: 5px;
    right: 70px;
    position: absolute;
}

.ctTpl_seasons .logo-sm {
    width: 42px;
}

.ctTpl_seasons .map .dijitMenu {
    /*ensure, that esri logo does not block any tool menues*/
    z-index: 2
}

.ctTpl_seasons .map_main .mapLoadingInfo {
    position: absolute;
    top: 0;
    left: 0;
    right: 0
}

/*-------------------------
    Right sidebar
-------------------------*/
.ctTpl_seasons .ct-application-center__sidebar-right {
    width: 35%;
    padding-left: 0.5%;
    background-color: whitesmoke;
    border-left: 5px;
    border-left-color: grey;
    box-shadow: rgba(0,0,0,0.12) 0 1px 6px, rgba(0,0,0,0.12) 0 1px 4px;
}

.ctTpl_seasons .ct-application-center__sidebar-right-top {
    height: 60px;
}


/*-------------------------
    Generic Placeholder Classes
-------------------------*/
.ctTpl_seasons .map_topleft,
.ctTpl_seasons .map_topright,
.ctTpl_seasons .map_bottomright,
.ctTpl_seasons .map_bottomleft {
    position: absolute;
    display: flex;
    align-items: center;
    pointer-events: none;
}

.ctTpl_seasons .map_topleft *,
.ctTpl_seasons .map_topright *,
.ctTpl_seasons .map_bottomright *,
.ctTpl_seasons .map_bottomleft * {
    pointer-events: auto;
}

.ctTpl_seasons .map_topleft {
    top: 20px;
    left: 20px;
}

.ctTpl_seasons .map_topright {
    top: 20px;
    right: 20px;
}

.ctTpl_seasons .map_bottomright {
    /*to match up with esri logo*/
    bottom: 35px;
    right: 20px;
}

.ctTpl_seasons .map_bottomleft {
    bottom: 35px;
    left: 20px;
}

/*-------------------------
    Zoom Slider Classes
-------------------------*/
.ctTpl_seasons .esri-ui-top-left {
    /*this position is only temporary as long as esri's main.css isn't integrated'*/
    top: 75px;
    left: 5px
}

/*-------------------------
    Button Classes
-------------------------*/
.ctTpl_seasons .ct-application-header__container-right {
    display: flex;
    align-items: center;
    overflow: hidden;
}

/*-------------------------
    Tool Classes
-------------------------*/
.ctTpl_seasons .map_main > .mapview_tools {
    z-index: 100;
    position: absolute;
    bottom: 35px;
    right: 20px;
}
